1. Auth
My Project
  • 🐶 Walk through Apidog
  • Sample APIs
    • Find pet by ID
      GET
    • Add a new pet to the store
      POST
    • Update an existing pet
      PUT
    • Deletes a pet
      DELETE
    • Finds Pets by status
      GET
  • API
    • V1
      • Vendor
        • Purchase
          • List
          • Store
      • Test protected
  • Campaigns
    • API
      • V1
        • Auth
          • Register
            POST
          • Login
            POST
          • Logout
            POST
        • User
          • Campaign
            • List
            • Store
            • Show
            • Update
            • Delete
        • Campaigns
          • List
          • Detail
          • Donate
          • Donatur list
        • Image
          • Upload Images
          • Delete
  • HOM Gym
    • Login
      POST
    • Upload file
      POST
  • Schemas
    • Sample Schemas
      • Success response
      • Pet
      • Category
      • Tag
  1. Auth

Register

Developing
POST
/auth/register

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/x-www-form-urlencoded

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/auth/register' \
--header 'Authorization: Bearer <token>' \
--data-urlencode 'email=' \
--data-urlencode 'password=' \
--data-urlencode 'name='
Response Response Example
{
    "status": "string",
    "message": "string",
    "data": "string",
    "error": "string"
}
Modified at 2025-05-25 08:42:12
Previous
Test protected
Next
Login
Built with